XmlModuleDescriptorUpdater.DependencyPrinter
Date: 2014-12-13

org.apache.ivy.plugins.parser.xml

## Class XmlModuleDescriptorUpdater.DependencyPrinter

- java.lang.Object
- - org.apache.ivy.plugins.parser.xml.XmlModuleDescriptorUpdater.DependencyPrinter

- All Implemented Interfaces:
    XmlModuleDescriptorUpdater.ItemPrinter
  Enclosing class:
    XmlModuleDescriptorUpdater

      protected static class XmlModuleDescriptorUpdater.DependencyPrinter
      extends java.lang.Object
      implements XmlModuleDescriptorUpdater.ItemPrinter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlModuleDescriptorUpdater.DependencyPrinter` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XmlModuleDescriptorUpdater.DependencyPrinter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `print(ModuleDescriptor parent, java.lang.Object item, java.io.PrintWriter out)` Print an XML representation of `item` to `out`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final XmlModuleDescriptorUpdater.DependencyPrinter INSTANCE

  - ### Constructor Detail

    - #### XmlModuleDescriptorUpdater.DependencyPrinter

          protected XmlModuleDescriptorUpdater.DependencyPrinter()

  - ### Method Detail

    - #### print

          public void print(ModuleDescriptor parent,
                   java.lang.Object item,
                   java.io.PrintWriter out)

      Description copied from interface: `XmlModuleDescriptorUpdater.ItemPrinter`
      Print an XML representation of `item` to `out`.
      Specified by:
        `print` in interface `XmlModuleDescriptorUpdater.ItemPrinter`
      Parameters:
        `parent` - the module descriptor containing `item`
        `item` - subcomponent of the descriptor, for example a `DependencyDescriptor` or `Configuration`